import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import 'package:scrobbles/ui/widgets/app_titles.dart';
import 'package:scrobbles/ui/widgets/settings_form.dart';

class ScreenSettings extends StatelessWidget {
  const ScreenSettings({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      mainAxisSize: MainAxisSize.max,
      children: <Widget>[
        SizedBox(height: 8),
        AppTitle1(text: tr('settings_title')),
        SizedBox(height: 8),
        AppTitle2(text: tr('settings_title_days_count')),
        SettingsForm(),
      ],
    );
  }
}
